<?php
get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" >

			<?php
				// Start the loop.
				while ( have_posts() ) : the_post();
			?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

					<header class="entry-header">
						<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
					</header><!-- .entry-header -->

					<div class="entry-content">

						<div class="entry-attachment">
							<?php
								// @param string $image_size Image size. Default 'large'.
								
								$image_size = apply_filters( 'richwp_attachment_size', 'large' );

								echo wp_get_attachment_image( get_the_ID(), $image_size );
							?>

							<?php if ( has_excerpt() ) : ?>
								<div class="entry-caption">
									<?php the_excerpt(); ?>
								</div><!-- .entry-caption -->
							<?php endif; ?>

						</div><!-- .entry-attachment -->

						<?php
							the_content();
						?>
					</div><!-- .entry-content -->
					
					<nav id="image-navigation" class="navigation image-navigation">
						<div class="nav-links">
							<span class="nav-previous"><?php previous_image_link( false, __( 'Previous Image', 'products-arts-services' ) ); ?></span>
							<span class="nav-next"><?php next_image_link( false, __( 'Next Image', 'products-arts-services' ) ); ?></span>
						</div><!-- .nav-links -->
					</nav><!-- .image-navigation -->

					<footer class="entry-footer">
						<?php richwp_entry_meta(); ?>
						<?php edit_post_link( __( 'Edit', 'products-arts-services' ), '<span class="edit-link">', '</span>' ); ?>
					</footer><!-- .entry-footer -->

				</article><!-- #post-## -->

				<?php
					// If comments are open or we have at least one comment, load up the comment template
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				// End the loop.
				endwhile;
			?>

		</main><!-- .site-main -->
	</div><!-- .content-area -->

<?php get_footer(); ?>
