<?php
/* RichWP Themes back compat functionality */

function richwp_switch_theme() {
	switch_theme( WP_DEFAULT_THEME, WP_DEFAULT_THEME );
	unset( $_GET['activated'] );
	add_action( 'admin_notices', 'richwp_upgrade_notice' );
}
add_action( 'after_switch_theme', 'richwp_switch_theme' );

/**
 * Add message for unsuccessful theme switch.
 *
 * Prints an update nag after an unsuccessful attempt to switch to
 * RichWP Themes on WordPress versions prior to 4.1.
 *
 * @since RichWP Themes 1.0
 */
function richwp_upgrade_notice() {
	$message = sprintf( __( 'RichWP Themes requires at least WordPress version 4.1. You are running version %s. Please upgrade and try again.', 'products-arts-services' ), $GLOBALS['wp_version'] );
	printf( '<div class="error"><p>%s</p></div>', $message );
}

/* Prevent the Customizer from being loaded on WordPress versions prior to 4.1. */
function richwp_customize() {
	wp_die( sprintf( __( 'RichWP Themes requires at least WordPress version 4.1. You are running version %s. Please upgrade and try again.', 'products-arts-services' ), $GLOBALS['wp_version'] ), '', array(
		'back_link' => true,
	) );
}
add_action( 'load-customize.php', 'richwp_customize' );

/*  Prevent the Theme Preview from being loaded on WordPress versions prior to 4.1. */
function richwp_preview() {
	if ( isset( $_GET['preview'] ) ) {
		wp_die( sprintf( __( 'RichWP Themes requires at least WordPress version 4.1. You are running version %s. Please upgrade and try again.', 'products-arts-services' ), $GLOBALS['wp_version'] ) );
	}
}
add_action( 'template_redirect', 'richwp_preview' );
