<?php


// Options Page

	if ( ! function_exists( 'rwp' ) ) :

		function rwp( $name ) {
			$default_theme_options = array(
				'logo' => '',
				'logosmall' => '',
				'color1' => '#92b6d5',
				'color2' => '#b76ba3',
				'colorfontbuttons' => '#FFFFFF',
				'productsonfront' => '',
				'copyright' =>  '<a href="'.home_url().'">'.get_bloginfo( 'name' ).'</a>',
				);
		
			$options = wp_parse_args( get_option( 'rwp' ), $default_theme_options );

			return $options[$name];
		}
	endif;

add_action( 'customize_register', 'richwp_customize_register' );
function richwp_customize_register( $wp_customize ) {
	
	/* Logo */
			
	$wp_customize->add_setting( 'rwp[logo]', array(
		'default' => rwp( 'logo' ),
		'sanitize_callback' => 'esc_url_raw',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo', array(
		'label'   => __( 'Logo Image', 'products-arts-services' ),
		'section' => 'title_tagline',
		'settings'   => 'rwp[logo]',
		'priority' => 20,
	) ) );
	
	$wp_customize->add_setting( 'rwp[logosmall]', array(
		'default' => rwp( 'logosmall' ),
		'sanitize_callback' => 'esc_url_raw',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logosmall', array(
		'label'   => __( 'Logo Image Small', 'products-arts-services' ),
		'section' => 'title_tagline',
		'settings'   => 'rwp[logosmall]',
		'priority' => 25,
	) ) );
		
	
	$wp_customize->add_section( 'rwp_colors', array(
		'title' => __( 'Colors', 'products-arts-services' ),
		'priority' => 100,
	) );
		
			
	$wp_customize->add_setting( 'rwp[color1]', array(
		'default' => rwp( 'color1' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color1', array(
		'label'   => __( 'Lead Color', 'products-arts-services' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[color1]',
		'priority' => 20,
	) ) );
	
	$wp_customize->add_setting( 'rwp[color2]', array(
		'default' => rwp( 'color2' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color2', array(
		'label'   => __( '2. Lead Color', 'products-arts-services' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[color2]',
		'priority' => 30,
	) ) );
	
	$wp_customize->add_setting( 'rwp[colorfontbuttons]', array(
		'default' => rwp( 'colorfontbuttons' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorfontbuttons', array(
		'label'   => __( 'Button Font Color', 'products-arts-services' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[colorfontbuttons]',
		'priority' => 40,
	) ) );
	
	$wp_customize->add_setting( 'rwp[productsonfront]', array(
		'default' => rwp( 'productsonfront' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'rwp[productsonfront]', array(
		'settings' => 'rwp[productsonfront]',
		'label'    => __( 'Show Products on Front Page', 'richwp' ),
		'section'  => 'static_front_page',
		'type'     => 'checkbox',
		'priority' => 20,
	) );
	
	$wp_customize->add_section( 'rwp_misc', array(
		'title' => __( 'Misc.', 'products-arts-services' ),
		'priority' => 120,
	) );
	
	$wp_customize->add_setting( 'rwp[copyright]', array(
		'default' => rwp( 'copyright' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'copyright', array(
		'label' => __( 'Copyright Notice in Footer', 'products-arts-services' ),
		'section' => 'rwp_misc',
		'settings' => 'rwp[copyright]',
		'priority' => 30,
	) );
	
} 

function sanitize_text_html( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

/* Add CSS */
function add_styles() {
  if ( ! function_exists( 'get_richicon_font' ) ) {
    $richicon_font = array(
        'base' => get_template_directory_uri()."/font/richicons",
        'version' => '13409114');
  } else {
    $richicon_font = get_richicon_font();
  }
 ?>
<style type="text/css">
@font-face {
  font-family: 'richicons';
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']; ?>');
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']."#iefix"; ?>') format('embedded-opentype'),
    url('<?php echo $richicon_font['base'].".woff?".$richicon_font['version']; ?>') format('woff'),
    url('<?php echo $richicon_font['base'].".ttf?".$richicon_font['version']; ?>') format('truetype'),
    url('<?php echo $richicon_font['base'].".svg?".$richicon_font['version']."#richicons"; ?>') format('svg');
    font-weight: normal;
    font-style: normal;
  }

a, 
.sf-menu a:hover,
.sf-menu .menu-item.sfHover,
.sf-menu .sub-menu .menu-item a:hover,
.menu-item.current-menu-item a,
.sub-menu .menu-item:hover,
.sub-menu .menu-item.sfHover,
.sub-menu .menu-item.current-menu-item,
.sf-menu .current-menu-item,
#footer-navigation a,
.author-link:after,
.entry-title a:hover,
.postbox a:hover .entry-title,
.entry-content .page-links a,
[class^="icon-"]:hover:before,
[class*=" icon-"]:hover:before
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>						
		, .woocommerce .woocommerce-info::before<?php } }?>
	{
	color:<?php echo rwp('color1');?>;
}


.entry-footer a:hover,
.entry-footer a:focus,
.postbox a.more-link,
.pagetemplatecontent .more-link,
.comment-list .reply a,
.comment-list .reply a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template( 'page-front.php' ) ) { ?>, 
		.woocommerce #payment #place_order,
		.woocommerce-page #payment #place_order,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		.woocommerce input.button,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.add_to_cart_button:hover,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt,
		.woocommerce ul.products li.product .button<?php } } ?>
	{
	background:<?php echo rwp('color1');?>;
}

.button,
.button:hover, 
.add_to_cart_button:hover,
.button:focus,
.add_to_cart_button:focus
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template( 'page-front.php' ) ) { ?>,
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover,
		.woocommerce input.button:hover,
		.woocommerce .woocommerce-message .wc-forward,
		.woocommerce .woocommerce-message .wc-forward:hover,
		.woocommerce span.onsale<?php } } ?>
{
	background-color:<?php echo rwp('color2');?>;
}

<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template( 'page-front.php' ) ) { ?>
			.woocommerce a.added_to_cart:before{
				color:<?php echo rwp('color2');?>;
			} 
		
			.woocommerce .woocommerce-info{
				border-top-color: <?php echo rwp('color2');?>;
			} 
<?php 	} 
	} ?>

.entry-content a.more-link,
.button,
.comment-list .reply a,
.comment-list .reply a:hover,
.add_to_cart_button
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() || is_page_template( 'page-front.php' ) ) { ?>
		.woocommerce ul.products li.product .button,
		.woocommerce input.button,
		.woocommerce input.button:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.woocommerce span.onsale<?php } } ?>
	{
	color:<?php echo rwp('colorfontbuttons');?>;
}


</style>
<?php } add_action('wp_head', 'add_styles'); ?>